%define anolis_release 1

Name:           libfabric
Version:        1.22.0
Release:        %{anolis_release}%{?dist}
Summary:        Open Fabric Interfaces

License:        BSD or GPLv2
URL:            https://github.com/ofiwg/libfabric
Source0:        https://github.com/ofiwg/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2


BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libnl3-devel
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
%ifarch x86_64
BuildRequires:  infinipath-psm-devel
BuildRequires:  libpsm2-devel
BuildRequires:  numactl-devel
%endif

%description
OpenFabrics Interfaces (OFI) is a framework focused on exporting fabric
communication services to applications.  OFI is best described as a collection
of libraries and applications used to export fabric services.  The key
components of OFI are: application interfaces, provider libraries, kernel
services, daemons, and test applications.

Libfabric is a core component of OFI.  It is the library that defines and
exports the user-space API of OFI, and is typically the only software that
applications deal with directly.  It works in conjunction with provider
libraries, which are often integrated directly into libfabric.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    doc
This package contains documentation for developer documentation for %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%ldconfig_scriptlets

%generate_compatibility_deps


%files
%license COPYING
%dir %{abidir}
%{_bindir}/fi_info
%{_bindir}/fi_pingpong
%{_bindir}/fi_strerror
%{abidir}/fi_*-option.list
%{_libdir}/*.so.1*
%{abidir}/*.dump
%{_mandir}/man1/*.1*

%files devel
%license COPYING
%{_includedir}/rdma/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*

%files doc
%doc AUTHORS README


%changelog
* Wed Feb 26 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 1.22.0-1
- update to 1.22.0 from 1.17.1

* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.17.1-1
- Init from upstream 1.17.1

